Search Results

Search results 1-20 of 588.

  • Weird behaviour with docker on omv4

    nicjo814 - - General

    Post

    Did you execute "docker logs -f" as root? Forgot to mention that it is required...

  • Weird behaviour with docker on omv4

    nicjo814 - - General

    Post

    I'm afraid I don't have any arm boxes to play with so I can't test these images you are having issues with. However I might have some ideas on how to fix your issues... First try to run one of the "problem images" without mapping any volumes inside it. This should take care of any issues regarding permissions. If it starts and you can access it then you most likely had som permission issues. Next I would try to make sure that all other containers are stopped before testing (i you are low on reso…

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    Perfect! Thanks for testing and reporting!

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    Quote from JanBanan: “Working fine now! Thanks! =) ” Without the patch?

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    I've reported the broken URL and it should be fixed now, so the patch should no longer be needed for this particular logo

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    Quote from gderf: “OK, thanks for that. ” I have created a patch that should fix the issue. Could you test with the version available here (it's for OMV 4.x): dropbox.com/s/7nxdy8g6pp1n6ty/…er-gui_4.0.2_all.deb?dl=1

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    Quote from gderf: “Just curious. What did you do there to trigger the problem? ” I located the missing logo being for the linuxserver Lychee image. On my newly installed system I was missing the liuxserver_lychee.png and .sha files in the /var/www/openmediavault/images/dockerrepo/ directory. I copied the .sha file from another image in that directory and the problem appeared.

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    Nevermind, I've been able to recreate the issue here now.

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    Quote from gderf: “I tried accessing the Docker service in Chromium browser incognito mode. It still throws that same error popup. And I have cleared the browser cache several times before too. Firefox and Chrome browsers also throw that same error and I do not recall visiting that page ever in those. ” From your signature I assume that you are running version 4.0.1 of the plugin?

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    Quote from JanBanan: “Yep issue still there when i checked now.. Edit: i am trying to paste the exception here but en exception is thrown =) Error #0:exception 'ImagickException' with message 'Imagick::__construct(): HTTP request failed! HTTP/1.1 404 Not Found' in /usr/share/openmediavault/engined/rpc/docker.inc:1504Stack trace:#0 /usr/share/openmediavault/engined/rpc/docker.inc(1504): Imagick->__construct('https://raw.git...')#1 [internal function]: OMVRpcServiceDocker->syncDockerLogos(NULL, Ar…

  • Docker plugin error?

    nicjo814 - - Plugins

    Post

    Quote from antipiot: “Quote from nicjo814: “I've looked at this and don't get any error. Do you still have problems with the logos? ” Same here, still after having any updates done. ” Ok, guess I have to look at this some more then

  • Docker plugin error?

    nicjo814 - - Plugins

    Post

    I've looked at this and don't get any error. Do you still have problems with the logos?

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    Quote from JanBanan: “I have the exact same issue, discovered it after i restarted the server today. I dont really keep track of the updates i apply but i know Docker was updated the other week and i 'think' i received a kernel update as well. OMV 3.0.95, kernel Linux 4.9.0-0.bpo.4-amd64 and Docker 17.12.0-ce. ” Do you still have this issue? I believe it should have been fixed now (the URL to the looks to be corrected).

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    It looks like one of the logos for the linuxserver.io images is pointing to an incorrect URL. A fix would be to add error handling around that part of the code that downloads the logos. Quite simple fix, but I'm not able to do it in a couple of days.

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    It "should" be unrelated since the error says it's a 404 connecting to github... I can't verify right now since I'm away from my nas the next couple of days without any proper Internet connection

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    It looks like it fails to download a picture from github (thumbnail used in the repo tab). It should not affect the functionality of the plug-in though.

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    The intention was to avoid crashes due to not having specified a port for the TCP API. The port is set in db when the plugin is enabled if I remember correctly. The plugin does not enable/disable docker service itself.

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    Quote from subzero79: “I am working on the plugin to deprecate the tcp consult api, instead using the unix socket domain. ” Great news! I never wanted to use the tcp port to begin with Quote from subzero79: “the other is that now php-curl supports unix sockets in php7 ” This was exactly the issue I was having back when the plugin was created, thus I had to use tcp... Quote from subzero79: “But my concern is the upgrade scripts in the package upgrade so we can actually close the tcp port in DOCKE…

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    @hoppel118 Try and update only the actual plug-in. It should select the correct docker package automatically.

  • Docker GUI plugin now stable

    nicjo814 - - Plugins

    Post

    Quote from 1activegeek: “how does one get upgraded to .10 now? ” Sorry, I have not explained this yet The 3.1.10 version depends on a yet unreleased version of the omvextras plugin. You will know that you have the proper version of omvextras when there is a "Docker CE" repo available. To upgrade the docker plugin: * Enable the Docker CE repo in omvextras * Search for updates in the "Update Manager" * Install the docker plugin in the "Update manager" I don't know when the version of omvextras wit…